%global _empty_manifest_terminate_build 0
Name:		python-genshi
Version:	0.7.7
Release:	2
Summary:	Toolkit for stream-based generation of output for the web
License:	BSD-3-Clause
URL:		http://genshi.edgewall.org/
Source0:	https://files.pythonhosted.org/packages/d5/13/bdb68fb9652bb145c341756fbe9563a270fd385ff11410837b59d98ab178/Genshi-0.7.7.tar.gz

Requires:	python3-babel >= 0.8

Patch0001:	backport-0001-Fix-installation-with-setuptools-60.patch

%description
Genshi is a Python library that provides an integrated set of 
components for parsing, generating, and processing HTML, XML
or other textual content for output generation on the web.

%package -n python3-genshi
Summary:	Toolkit for stream-based generation of output for the web
Provides:	python-genshi = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-six
%description -n python3-genshi
Genshi is a Python library that provides an integrated set of 
components for parsing, generating, and processing HTML, XML
or other textual content for output generation on the web.

%package help
Summary:	Development documents and examples for Genshi
Provides:	python3-genshi-doc
%description help
Genshi is a Python library that provides an integrated set of 
components for parsing, generating, and processing HTML, XML
or other textual content for output generation on the web.

%prep
%autosetup -n Genshi-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-genshi -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Jan 18 2023 yangbo <yangbo1@xfusion.com> - 0.7.7-2
- Fix installation with setuptools >= 60

* Wed Nov 23 2022 liqiuyu <liqiuyu@kylinos.cn> - 0.7.7-1
- Update package to version 0.7.7

* Wed Mar 30 2022 xigaoxinyan <xigaoxinyan@huawei.com> - 0.7.6-1
- update to 0.7.6

* Tue Dec 22 2020 lingsheng <lingsheng@huaweu.com> - 0.7.3-7
- Fix wrong source0 url

* Mon Jun 28 2020 Captain Wei <captain.a.wei@gmail.com> - 0.7.3-6
- Upgrade package

* Mon Nov 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.7-23
- Package init
